#!/usr/bin/python

from math import exp
def Logistic(x) : 
   return(1/(1+exp(-x))) 

def Binary(x) : 
   if x < 0.5 : 
       return 0
   else : 
       return 1

def expression(inputs) : 

    if type(inputs) != list:
       print('Argument must be a list')
       exit()
    if len(inputs) != 1:
       print('Incorrect number of inputs')
       exit()
    input_1=inputs[0]
    scaled_input_1 = (input_1-0.138599)/0.261192
    y_1_1 = Logistic (1.76211+ (scaled_input_1*12.3185))
    non_probabilistic_Leukemia_class = Logistic (-2.18818+ (y_1_1*10.4083))
    Leukemia_class = probability(non_probabilistic_Leukemia_class)
    
    return Leukemia_class 
